vim: Spellchecking impossible for most languages

Bug #66878 reported by carsten on 2006-10-19
34
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Low
Unassigned
vim (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: vim

Since vim7, vim is able to spellcheck. Unfortunatelly, Edgy only ships english, hebrew and Yiddish. For example, in a german environment, german should be shipped. As the spellingfiles are rather small you might consider adding all of them or at least also .fr, .de, .es beside english.

You will find all spelling-files here:

http://ftp.vim.org/vim/runtime/spell/

Andreas Simon (andreas-w-simon) wrote :

There already exist experimental Debian packages at
http://packages.debian.org/experimental/source/vim-spellfiles

I suppose they will be moved from experimental to unstable soon and will then be included in the release after Edgy (Feisty).

carsten (cniehaus-kde) wrote :

I just want to add that the missing files make the vim-spelling feature useless for about 90% of mankind as most people do not use vim in english. This is not about blaming you, it is just frustrating that most distros donn't treat non-english users as first-class citizens. You wouldn't believe in how many issues you run in a nun-english Linux-system.
I hoope Feisty will have a real german (and chinese and...) vim.

Andreas Simon (andreas-w-simon) wrote :

Yes, vim's spell-checking it's pretty useless for non-english writing users. Especially because vim's automatic downloading of missing language files dosn't work out of the box. Vim uses 'ftp' to download them, which is neither a dependency of vim nor part of the default installation.

-----
:setlocal spell spelllang=fr
Cannot find spell file for "fr" in utf-8
Do you want me to try downloading it?

Downloading fr.utf-8.spl...
shell returned 127
***netrw*** /bin/bash: ftp: command not found
Press <cr> to continue

Changed in vim:
status: Unconfirmed → Confirmed
Constantine Evans (cevans) wrote :

It is possible that the configuration could be changed to use wget instead of ftp. I will look into the issue.

This is still an issue for me.
I had to use the debian vim-spellfiles.

Any advance in this issue?

TIA

Adrián Santos Marrero (lagoon) wrote :

Quick recipe for manual installation (the example uses the spanish dictionaries):

sudo apt-get install aap
aap -f http://ftp.vim.org/vim/runtime/spell/es/main.aap
sudo cp ../es.*.spl /usr/share/vim/vim71/spell/

Mito. (mitosk) wrote :

>>I suppose they will be moved from experimental to unstable soon and will then be included in the release after Edgy (Feisty).

It's not working in ubuntu 8.10, why?

The same applies, as far as I can tell, in Jaunty.

Given that the default configuration of Vim in Ubuntu (or Debian) is far from flexible (it's impossible to avoid loading the debianized configuration unless you edit /etc/vim/vimrc), building Vim myself starts to be tempting...

Anyway, no matter what with the default config, spell files are needed and they should be included.

David Planella (dpm) on 2011-03-05
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Low
summary: - Spellchecking impossible for most languages
+ vim: Spellchecking impossible for most languages
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers